Favicon

You are here: Home > API Reference > Platform > User Authentication > Change Password with forgot password token

POST /auth/register/change-password

Change Password with forgot password token

POST
https://api.applivery.io/v1/auth/register/change-password
curl -X POST "https://api.applivery.io/v1/auth/register/change-password" \
  -H "Content-Type: application/json" \
  -d '{
  "token": "string",
  "password": "string"
}'
const response = await fetch("https://api.applivery.io/v1/auth/register/change-password", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "token": "string",
    "password": "string"
  }),
});

const data = await response.json();
import requests

response = requests.post(
    "https://api.applivery.io/v1/auth/register/change-password",
    json={
      "token": "string",
      "password": "string"
    },
)

data = response.json()

Request

Body Params application/json
token string required
≤ 128 characters
password string required
≤ 128 characters · ≥ 8 characters
{
    "token": "string",
    "password": "string"
}

Responses

200 Response application/json
status boolean optional
data object optional
done boolean optional
message string optional
≤ 256 characters
{
    "status": true,
    "data": {
        "done": true,
        "message": "string"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5057
message string optional
Insufficient Password Complexity
{
    "status": false,
    "error": {
        "code": 5057,
        "message": "Insufficient Password Complexity"
    }
}
403 Response application/json
status boolean optional
false
error object optional
code number optional
4006
message string optional
Invalid Credentials
{
    "status": false,
    "error": {
        "code": 4006,
        "message": "Invalid Credentials"
    }
}